DeepFellow DOCS

Text

Convert a file to plain text or Markdown.

image_mode=referenced isn't offered here at all: nothing from an ad-hoc conversion is kept, so there is nothing to link its assets to - use GET /v1/files/{file_id}/text for that instead.

POST
/text_converter/text
Authorization[Bearer <token>]

In: header

Query Parameters

image_mode[AdHocImageMode]

How images are represented in the output.

Value in"none" | "descriptions" | "embedded"
output_format?[TextFormat]

Output format: plain text or Markdown.

Default"txt"
Value in"txt" | "md"

Header Parameters

OpenAI-Organization?[Openai-Organization]

Organization Id from OpenAi compatible endpoint. Required to organization access or project access (with OpenAI-Project header) when logged as User or Admin User.

OpenAI-Project?[Openai-Project]

Project Id from OpenAi compatible endpoint. Required to project access for organization api key or User / Admin User access with OpenAI-Organization

file[File]

The File object (not file name) to be uploaded.

Response Body

curl -X POST "https://deepfellow-server-host/text_converter/text?image_mode=none&output_format=txt" \  -H "OpenAI-Organization: string" \  -H "OpenAI-Project: string" \  -F file="string"
"string"
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}

We use cookies on our website. We use them to ensure proper functioning of the site and, if you agree, for purposes such as analytics, marketing, and targeting ads.